import { Pool } from '@neondatabase/serverless';
import { drizzle } from 'drizzle-orm/neon-serverless';

// src/neon-serverless.ts
function createNeonServerlessClient(opts) {
  const pool = new Pool({ connectionString: opts.connectionString });
  return drizzle(pool, { schema: opts.schema });
}

export { createNeonServerlessClient };
